<!DOCTYPE html>
<html lang="en">
	<head>
		<title>NodeMcu Temp</title>
		<meta charset="utf-8">
		<meta name="viewport" content="initial-scale=1.0,width=device-width"/>
    <style media="screen">
      BODY
      {
        background-color:#595D70;
        color:#81DEEA;
      }

      H1
      {
        text-align:center;
        font-size:8em;
        background-color:#595D70;
        padding:0;
        margin:0;
        margin-top:1em;
      }

      @keyframes timer
      {
        from { width:1%}
        to { width:90%}
      }

      SPAN
      {
        background-color:#81DEEA;
        padding:0;
        padding-bottom:1em;
        display:block;
        width:90%;
        margin-left:auto;
        margin-right:auto;
        animation-name:timer;
        animation-duration: 10s;
      }

    </style>
		<script language="javascript">
    var pollTemp = function()
    {
      if(window.XMLHttpRequest)
  		{
  			ajaxObj = new XMLHttpRequest();
  		}
  		else if(window.ActiveXObject)
  		{
  			ajaxObj = new ActiveXObject("Microsoft.XMLHTTP");
  		}
  		else
  		{
  			alert("No AJAX!");
  		}

  		if(ajaxObj !== null)
  		{
  			ajaxObj.onreadystatechange = function()
  			{
  				if(ajaxObj.readyState === 4)
  				{
  					const obj = JSON.parse(ajaxObj.responseText);
  					document.getElementById("temp").innerHTML = obj.temp;

            var tmr = document.getElementById('timer');
            tmr.style.animation = 'none';
            tmr.offsetHeight; /* trigger reflow */
            tmr.style.animation = null;

            setTimeout(pollTemp,10000);
  				}
  			}

  			//send request
  			ajaxObj.open("GET","temp.json",true);
  			ajaxObj.send(null);
  		}
    }

    </script>
  </head>
  <body>

      <h1 id="temp">Loading</h1>
    <span id="timer">&nbsp;</span>


    <script type="text/javascript">
      pollTemp();
    </script>
  </body>
</html>
